Index: themes/berlin/scss/partials/_archive.scss
===================================================================
--- themes/berlin/scss/partials/_archive.scss	(revision 2644)
+++ themes/berlin/scss/partials/_archive.scss	(revision 2644)
@@ -0,0 +1,146 @@
+/* ---------------------------------------------------------------- archives */
+/* general */
+.dc-archive .content-inner {
+    @media all and(min-width: $small-screen) {
+        margin-left: 3em;
+        margin-right: 3em;
+        }
+}
+.arch-block {
+    display: inline-block;
+    margin: 0 0 2em 0;
+    vertical-align: top;
+    a {
+        color: $gray-very-dark;
+        }
+    @media all and(min-width: $small-screen) {
+        margin-left: 4em;
+        }
+    }
+.arch-block:first-child {
+    margin-left: 0;
+    }
+.arch-block h3 {
+    margin-bottom: 1em;
+    font-size: 1.2em;
+    font-style: italic;
+    font-weight: normal;
+    text-transform: lowercase;
+    color: $secondary-color;
+    }
+.arch-block h4 {
+    font-weight: bold;
+    font-size: 1.1em;
+    margin-bottom: 0;
+    margin-top: 0;
+    color: $gray-very-dark;
+    }
+.arch-list, .arch-sub-list {
+    list-style-type: none;
+    margin: 0;
+    padding: 0;
+    }
+.arch-sub-list {
+    margin-left: 20px;
+    }
+/* par date */
+.arch-by-year {
+    margin-right: 0;
+    margin-bottom: 1em;
+    margin-top: 2em;
+    }
+.arch-by-year h3 {
+    margin-bottom: 0;
+    }
+.arch-by-year h3:first-child {
+    margin-top: 0;
+    }
+.fromto {
+    margin-top: 0;
+    margin-bottom: 1.5em;
+    font-size: .875em;
+    font-style: italic;
+    }
+.arch-by-year__each-year {
+    display: inline-block;
+    vertical-align: top;
+    margin: 0;
+    width: 10em;
+    }
+.arch-year-list {
+    margin-bottom: 1.5em;
+    }
+.arch-year-list span {
+    font-size: .875em;
+    }
+/* par categorie */
+.arch-cat-list, .arch-sub-cat-list {
+    background: transparent url(img/vline.png) repeat-y;
+    }
+.arch-sub-cat-list {
+    margin: .5em 0 0 .5em;
+    }
+.arch-cat-list li {
+    padding: .2em .2em .2em 20px;
+    background: transparent url(img/hline.png) no-repeat left .82em;
+    }
+.arch-cat-list li:last-child {
+    background-image: url(img/last-hline.png);
+    }
+/* par tag */
+.arch-by-tag {
+    width: 17em;
+    }
+.arch-tag-list li {
+    display: inline;
+    padding-right: 1em;
+    }
+.arch-tag-list .tag0 {
+    color: #909090;
+    font-size: 90%;
+    }
+.arch-tag-list .tag10 {
+    color: #828282;
+    font-size: 92%;
+    }
+.arch-tag-list .tag20 {
+    color: #737373;
+    font-size: 94%;
+    }
+.arch-tag-list .tag30 {
+    color: #656565;
+    font-size: 96%;
+    }
+.arch-tag-list .tag40 {
+    color: #484848;
+    font-size: 98%;
+    }
+.arch-tag-list .tag50 {
+    color: #3A3A3A;
+    font-size: 100%;
+    }
+.arch-tag-list .tag60 {
+    color: #2B2B2B;
+    font-size: 102%;
+    }
+.arch-tag-list .tag70 {
+    color: #1D1D1D;
+    font-size: 104%;
+    }
+.arch-tag-list .tag80 {
+    color: #0E0E0E;
+    font-size: 106%;
+    }
+.arch-tag-list .tag90 {
+    color: #030303;
+    font-size: 108%;
+    }
+.arch-tag-list .tag100 {
+    color: #000;
+    font-size: 110%;
+    }
+/* archives par mois */
+.dc-archive-month #content-info h2 {
+    margin-left: 2em;
+    margin-top: .5em;
+    }
Index: themes/berlin/scss/partials/_content.scss
===================================================================
--- themes/berlin/scss/partials/_content.scss	(revision 2640)
+++ themes/berlin/scss/partials/_content.scss	(revision 2644)
@@ -30,4 +30,5 @@
     h2 {
         display: inline-block;
+        vertical-align: top;
         padding: .5em .75em;
         border-radius: .5em;
@@ -46,4 +47,17 @@
 
     }
+}
+.content-info__feed {
+    display: inline-block;
+    vertical-align: top;
+    list-style-type: none;
+    li {
+        display: inline;
+        margin-right: 1.5em;
+        }
+}
+.content-info__sub-cat {
+    margin-top: 2em;
+    h3 { font-weight: bold;}
 }
 // lien de retour, à combiner avec le script js