Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 450)
+++ admin/style/default.css	(revision 453)
@@ -1027,8 +1027,8 @@
 }
 div.pagination a {
-	padding: 0 0.3em 0 0.3em;
+	margin: 0 0.3em 0 0.3em;
 }
 div.pagination span{
-	margin-left: 2em;
+	margin: 0 1em 0 1em;
 }
 
@@ -1100,5 +1100,5 @@
 	display: block;
 }
-#filters-form label {
+#filters label {
 	display: inline;
 }
Index: inc/admin/class.dc.filter.php
===================================================================
--- inc/admin/class.dc.filter.php	(revision 438)
+++ inc/admin/class.dc.filter.php	(revision 453)
@@ -156,5 +156,5 @@
 		$ret .=
 			'<div class="two-cols">'.
-			'<form id="filters" action="'.$this->action.'" method="'.$method.'" id="filters-form"'.$formclass.'>'.
+			'<form id="filters" action="'.$this->action.'" method="'.$method.'"'.$formclass.'>'.
 			'<div class="col70">'.
 			'<h3>'.__('Entries filters').'</h3>';
@@ -175,9 +175,9 @@
 		}
 		$ret .= 
-			'<p class="clear"><input class="delete" type="submit" value="'.__('Delete all filters').'" name="clear_filters"></p>'.
+			'<p class="clear"><input class="delete" type="submit" value="'.__('Delete all filters').'" name="clear_filters" /></p>'.
 			'<h3 class="margintop">'.__('Add a filter').'</h3>'.
 			'<p id="available_filters">'.
 			form::combo("add_filter",$form_combo).
-			'<input type="submit" value=" + " title="'.__('Add this filter').'" name="apply">'.
+			'<input type="submit" value=" + " title="'.__('Add this filter').'" name="apply" />'.
 			'</p>'.
 			'</div>'.
@@ -185,5 +185,5 @@
 			$this->columns_form.
 			'</div>'.
-			'<p class="clear margintop"><input type="submit" value="'.__('Apply filters and display options').'" name="apply"></p>'.
+			'<p class="clear margintop"><input type="submit" value="'.__('Apply filters and display options').'" name="apply" /></p>'.
 
 			'</form></div>';
Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 452)
+++ inc/admin/lib.pager.php	(revision 453)
@@ -34,15 +34,15 @@
 		
 		# Page text
-		$htmlText = sprintf(__('Page %s over %s'),$this->env,$this->nb_pages).'&nbsp;';
+		$htmlText = '<span>'.sprintf(__('Page %s over %s'),$this->env,$this->nb_pages).'</span>';
 		
 		# Previous page
 		if($this->env != 1) {
 			$htmlPrev = '<a href="'.sprintf($this->page_url,$this->env-1).'" class="prev">'.
-			$htmlPrev .= $this->html_prev.'</a>&nbsp;';
+			$htmlPrev .= $this->html_prev.'</a>';
 		}
 		
 		# Next page
 		if($this->env != $this->nb_pages) {
-			$htmlNext = '&nbsp;<a href="'.sprintf($this->page_url,$this->env+1).'" class="next">';
+			$htmlNext = '<a href="'.sprintf($this->page_url,$this->env+1).'" class="next">';
 			$htmlNext .= $this->html_next.'</a>';
 		}
@@ -51,11 +51,11 @@
 		if($this->env != 1) {
 			$htmlStart = '<a href="'.sprintf($this->page_url,1).'" class="start">'.
-			$htmlStart .= $this->html_start.'</a>&nbsp;';
+			$htmlStart .= $this->html_start.'</a>';
 		}
 		
 		# End
 		if($this->env != $this->nb_pages) {
-			$htmlEnd = '&nbsp;<a href="'.sprintf($this->page_url,$this->nb_elements).'" class="end">'.
-			$htmlEnd .= $this->html_end.'</a>&nbsp;';
+			$htmlEnd = '<a href="'.sprintf($this->page_url,$this->nb_elements).'" class="end">'.
+			$htmlEnd .= $this->html_end.'</a>';
 		}
 		
@@ -63,7 +63,7 @@
 		$htmlDirectAccess = 
 			'<span>'.__('Direct access to page').'&nbsp;'.
-			form::field('page',3,3,$this->env).'&nbsp;'.
+			form::field(array('page'),3,3,$this->env).'&nbsp;'.
 			'<input type="submit" value="'.__('ok').'" />'.
-			'<span>';
+			'</span>';
 			
 		# Hidden fields
@@ -75,5 +75,5 @@
 		
 		$res =
-			'<form method="get" action="'.$this->base_url.'">'.
+			'<form method="get" action="'.$this->base_url.'"><p>'.
 			$htmlStart.
 			$htmlPrev.
@@ -83,5 +83,5 @@
 			$htmlDirectAccess.
 			$htmlHidden.
-			'</form>';
+			'</p></form>';
 		
 		return $this->nb_elements > 0 ? $res : '';
@@ -274,7 +274,9 @@
 		$nb_per_page = isset($_GET['nb']) ? $_GET['nb'] : 10;
 		
-		array_push($list,'<label for="nb" class="classic">'.__('Items per page:').'</label>&nbsp;'.form::field('nb',3,3,$nb_per_page));
-		
-		return sprintf($block,implode('',$list));
+		return
+		sprintf($block,implode('',$list)).
+		'<p><label for="nb">'.__('Items per page:').
+		'</label>&nbsp;'.form::field('nb',3,3,$nb_per_page).
+		'</p>';
 	}
 	