Index: admin/style/jsUpload/style.css
===================================================================
--- admin/style/jsUpload/style.css	(revision 1166)
+++ admin/style/jsUpload/style.css	(revision 1167)
@@ -1,119 +1,145 @@
 .enhanced_uploader .button {
-  display: inline-block;
-  *display: inline;
-  border-radius: .2em;
-  background: #2373A8;
-  background: -webkit-gradient(linear, left top, left bottom, from(#2373A8), to(#2C8FD1));
-  background: -moz-linear-gradient(top,  #2373A8,  #2C8FD1);
-  outline: none;
-  border: 1px solid #2373A8;
-  text-decoration: none;
-  text-shadow: 0 1px 1px rgba(0,0,0,.3);
-  text-align: center;
-  cursor: pointer;
-  color: #fff;
-  margin-right: 4px;
-  padding: .1em .5em 0 .5em;
-  font-size: 1em;
-  float: left;
+	display: inline-block;
+	*display: inline;
+
+	border-radius: .2em;
+	background: #2373A8;
+	background: -webkit-gradient(linear, left top, left bottom, from(#2C8FD1), to(#2373A8));
+	background: -moz-linear-gradient(center top , #2C8FD1, #2373A8) repeat scroll 0 0 transparent;
+	outline: none;
+	border: 1px solid #2373A8;
+	text-decoration: none;
+	text-shadow: 0 1px 1px rgba(0,0,0,.3);
+	text-align: center;
+	cursor: pointer;
+	color: #fff;
+	font-size: 1em;
+	margin-right: 4px;
+	margin-bottom: .5em;
+	padding: .1em .5em 0 .5em;
+	float: left;
 }
 
 .enhanced_uploader .button:hover {
-  background: #2373A8;
-  border: 1px solid #2C8FD1;
+	background: #2373A8;
+	background: -webkit-gradient(linear, left top, left bottom, from(#2373A8), to(#2C8FD1));
+	background: -moz-linear-gradient(center top , #2373A8, #2C8FD1) repeat scroll 0 0 transparent;
+	border: 1px solid #2C8FD1;
+}
+
+.enhanced_uploader .add, .enhanced_uploader .clean, .enhanced_uploader .cancel {
+	text-shadow: none;
+	color: #000;
+	background: #F5F5F5;
+	background: -moz-linear-gradient(center top , #F5F5F5, #DFDFDF) repeat scroll 0 0 transparent;
+	border: 1px solid #CCCCCC;
+}
+
+.enhanced_uploader .button.add:hover, .enhanced_uploader .button.clean:hover, .enhanced_uploader .button.cancel:hover {
+	background: #DFDFDF;
+	background: -webkit-gradient(linear, left top, left bottom, from(#DFDFDF), to(#F5F5F5));
+	background: -moz-linear-gradient(center top , #DFDFDF, #F5F5F5) repeat scroll 0 0 transparent;
+	border: 1px solid #CCCCCC;
+}
+
+.enhanced_uploader .upload-filecancel {
+	border: none;
+}
+
+.enhanced_uploader .add {
+	margin-right: 4em;
 }
 
 .enhanced_uploader .cancel, .enhanced_uploader .clean, .enhanced_uploader .start {
-  margin-top: 0;
+	margin-left: .5em;
 }
 
 .enhanced_uploader #upfile {
-  width: 0;
-  height: 0;
-  visibility: hidden;
-  margin: 0;
-  opacity: 0;
-  filter: alpha(opacity=0);
-  cursor: pointer;
+	visibility: hidden;
+	width: 0;
+	height: 0;
+	margin: 0;
+	opacity: 0;
+	filter: alpha(opacity=0);
+	cursor: pointer;
 }
 
 .button.clean, .button.cancel, .button.add, .enhanced_uploader .fileupload-buttonbar .button.start {
-  display: none;
+	display: none;
 }
 
 .enhanced_uploader .button.add {
-  display: inline-block;
+	display: inline-block;
 }
 
 .enhanced_uploader .max-size {
-  display: block;
+	display: block;
 }
 
 .enhanced_uploader .one-file {
-  display: none;
+	display: none;
 }
 
 label span.one-file {
-  display: inline;
+	display: inline;
 }
 
 /* files */
 .upload-msg {
-  font-weight: bold;
+	font-weight: bold;
 }
 
 .upload-msg.upload-error {
-  color: #c00;
+	color: #c00;
 }
 
 .upload-files {
-  padding: 0 0.5em;
-  margin: 10px 0;
+	padding: 0 0.5em;
+	margin: 10px 0;
 }
 
 .upload-file {
-  margin: 0 0 8px 0;
-  position: relative;
+	margin: 0 0 8px 0;
+	position: relative;
 }
 
 .upload-fileinfo {
-  margin-left: 16px;
+	margin-left: 16px;
 }
 
 .upload-fileinfo .upload-filecancel {
-  display: block;
-  margin-top: 3px;
-  width: 20px;
-  height: 20px;
-  background: transparent url("cancel.png") no-repeat left top;
-  text-indent: -1000px;
-  cursor: pointer;
-  float: left;
+	display: block;
+	margin-top: 3px;
+	width: 20px;
+	height: 20px;
+	background: transparent url("cancel.png") no-repeat left top;
+	text-indent: -1000px;
+	cursor: pointer;
+	float: left;
 }
 
 .upload-filemsg {
-  font-weight: bold;
-  color: green;
+	font-weight: bold;
+	color: green;
 }
 
 .upload-filemsg.upload-error {
-  color: #c00;
+	color: #c00;
 }
 
 .upload-progress {
-  padding: 0 1em;
+	padding: 0 1em;
 }
 
 .upload-progress div {
-  height: 10px;
-  width: 0;
-  font-size: 0.8em;
-  line-height: 1em;
-  height: 1em;
-  padding: .2em 0;
-  text-align: right;
-  background: green url(loader.png) repeat-x left top;
-  color: white;
-  font-weight: bold;
-  border-radius: 2px;
+	width: 0;
+	height: 1em;
+	padding: .2em 0;
+	font-size: 0.8em;
+	font-weight: bold;
+	line-height: 1em;
+	text-align: right;
+	background: green url("loader.png") repeat-x left top;
+	color: white;
+	border-radius: 2px;
 }