Index: locales/pt-br/date.po
===================================================================
--- locales/pt-br/date.po	(revision 221)
+++ locales/pt-br/date.po	(revision 3272)
@@ -7,12 +7,12 @@
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2008-04-15 16:27+0200\n"
-"PO-Revision-Date: 2008-06-19 18:34+0200\n"
-"Last-Translator: Alain Fagot Béarez <Alain@Timbo-Bearez.biz>\n"
+"PO-Revision-Date: 2016-07-18 15:51+0200\n"
+"Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
 "Language-Team: Portuguese (Brazil)\n"
-"Language: \n"
+"Language: pt_BR\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Poedit-Language: Portuguese (Brazil)\n"
+"X-Generator: Poedit 1.8.8\n"
 
 msgid "%Y-%m-%d %H:%M"
Index: locales/pt-br/main.po
===================================================================
--- locales/pt-br/main.po	(revision 2807)
+++ locales/pt-br/main.po	(revision 3272)
@@ -6,13 +6,14 @@
 "Project-Id-Version: Dotclear 2.0-RC1-1\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2014-11-20 19:49+0100\n"
-"PO-Revision-Date: 2008-06-19 18:33+0200\n"
-"Last-Translator: Alain Fagot Béarez <Alain@Timbo-Bearez.biz>\n"
+"POT-Creation-Date: 2016-07-18 15:41+0200\n"
+"PO-Revision-Date: 2016-07-18 15:51+0200\n"
+"Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
 "Language-Team: Portuguese (Brazil)\n"
-"Language: \n"
+"Language: pt_BR\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Poedit-Language: Portuguese (Brazil)\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"X-Generator: Poedit 1.8.8\n"
 
 #, fuzzy
@@ -330,4 +331,11 @@
 msgstr ""
 
+#, fuzzy
+msgid "Dotclear"
+msgstr "Apelido"
+
+msgid "Sample:"
+msgstr ""
+
 msgid "HTML tag for the title of the notes on the blog:"
 msgstr ""
@@ -400,7 +408,4 @@
 msgstr ""
 
-msgid "Sample:"
-msgstr ""
-
 msgid "Time format:"
 msgstr "Formato das horas:"
@@ -412,4 +417,7 @@
 msgstr "Exibir emoticons nos posts e nos comentários"
 
+msgid "Disable internal search system"
+msgstr ""
+
 #, fuzzy, php-format
 msgid "Display %s entries on home page"
@@ -445,4 +453,34 @@
 
 msgid "Generated image sizes (in pixels)"
+msgstr ""
+
+#, fuzzy
+msgid "Thumbnail"
+msgstr "Atualizar as miniaturas"
+
+#, fuzzy
+msgid "Small"
+msgstr "Email:"
+
+msgid "Medium"
+msgstr ""
+
+msgid "Default size of the inserted video (in pixels)"
+msgstr ""
+
+msgid "Width"
+msgstr ""
+
+#, fuzzy
+msgid "Height"
+msgstr "Direita"
+
+msgid "Flash player"
+msgstr ""
+
+msgid "Insert Flash player fallback for video (mp4 or m4v) and audio (mp3) media"
+msgstr ""
+
+msgid "For flv video, the Flash player will be anyway inserted."
 msgstr ""
 
@@ -595,4 +633,8 @@
 msgstr "Você pode instalar temas enviando ou baixando arquivos zip."
 
+#, fuzzy
+msgid "Some functions are disabled, please give write access to your themes directory to enable them."
+msgstr "Para ativar essa funcionalidade, por favor dê acesso em escritura ao seu diretório de plugins."
+
 msgid "Last update"
 msgstr "Última atualização"
@@ -677,4 +719,8 @@
 
 #, fuzzy
+msgid "URL"
+msgstr "URL:"
+
+#, fuzzy
 msgid "Entries (all types)"
 msgstr "Posts por página"
@@ -704,5 +750,5 @@
 
 #, fuzzy
-msgid "Category where to move posts does not exist"
+msgid "Category where to move entries does not exist"
 msgstr "Esse post não existe."
 
@@ -926,4 +972,11 @@
 msgstr "Autor"
 
+msgid "IP"
+msgstr ""
+
+#, fuzzy
+msgid "Spam filter"
+msgstr "filtro"
+
 #, fuzzy
 msgid "Selected comments have been successfully updated."
@@ -1080,6 +1133,6 @@
 msgstr "despublicar"
 
-#, php-format
-msgid "PHP version is %s (5.0 or earlier needed)."
+#, fuzzy, php-format
+msgid "PHP version is %s (5.3 or earlier needed)."
 msgstr "A versão de PHP é %s (5.0 ou mais recente necessário)."
 
@@ -1257,4 +1310,8 @@
 msgstr ""
 
+#, fuzzy, php-format
+msgid "Cannot write \"%s\" directory."
+msgstr "Impossível escrever neste diretório."
+
 #, php-format
 msgid "File %s does not exist."
@@ -1299,4 +1356,7 @@
 msgstr ""
 
+msgid "SQLite"
+msgstr ""
+
 msgid "Database Host Name:"
 msgstr "Nome da máquina do banco de dados:"
@@ -1435,4 +1495,8 @@
 msgid "By dates, in descending order"
 msgstr ""
+
+#, fuzzy
+msgid "Not a valid directory"
+msgstr "Arquivo inválido"
 
 #, fuzzy, php-format
@@ -1475,4 +1539,19 @@
 msgstr "sim"
 
+#, fuzzy, php-format
+msgid "%s file found"
+msgid_plural "%s files found"
+msgstr[0] "%d posts encontrados"
+msgstr[1] "%d posts encontrados"
+
+msgid "Remove this folder from your favorites"
+msgstr ""
+
+msgid "Add this folder to your favorites"
+msgstr ""
+
+msgid "Goto recent folder:"
+msgstr ""
+
 #, fuzzy
 msgid "You do not have sufficient permissions to write to this folder."
@@ -1489,6 +1568,30 @@
 msgstr "O arquivo zip foi extraido com sucesso."
 
-#, php-format
-msgid "Choose a file to attach to entry %s by clicking on %s."
+#, fuzzy, php-format
+msgid "Select a file by clicking on %s"
+msgstr "Escolha um arquivo para insertar no post clicando em %s."
+
+#, fuzzy
+msgid "Select this file"
+msgstr "Suprimir este blog"
+
+#, fuzzy
+msgid "Choose selected medias"
+msgstr "Suprimir os plugins selecionados"
+
+#, php-format
+msgid "Select files and click on <strong>%s</strong> button"
+msgstr ""
+
+#, fuzzy
+msgid "or"
+msgstr "Ordenar:"
+
+#, fuzzy
+msgid "upload a new file"
+msgstr "Enviar um arquivo zip"
+
+#, fuzzy, php-format
+msgid "Choose a file to attach to entry %s by clicking on %s"
 msgstr "Escolha um arquivo para anexar ao post %s clicando em %s."
 
@@ -1496,6 +1599,6 @@
 msgstr "Anexar este arquivo ao post"
 
-#, php-format
-msgid "Choose a file to insert into entry by clicking on %s."
+#, fuzzy, php-format
+msgid "Choose a file to insert into entry by clicking on %s"
 msgstr "Escolha um arquivo para insertar no post clicando em %s."
 
@@ -1504,11 +1607,32 @@
 msgstr "Suprimir os plugins selecionados"
 
+msgid "Will search into media filename (including path), title and description"
+msgstr ""
+
 msgid "No file."
 msgstr "Nenhum arquivo."
 
+#, fuzzy
+msgid "Grid display mode"
+msgstr "Apelido"
+
+#, fuzzy
+msgid "List display mode"
+msgstr "Apelido"
+
 msgid "Sort files:"
 msgstr ""
 
 msgid "Number of elements displayed per page:"
+msgstr ""
+
+#, fuzzy
+msgid "Media list"
+msgstr "Detalhes da mídia"
+
+msgid "Name"
+msgstr "Nome"
+
+msgid "Size"
 msgstr ""
 
@@ -1576,14 +1700,14 @@
 msgstr "Parâmetros"
 
+msgid "Insert this file into entry"
+msgstr "Insertar este arquivo no post"
+
+#, fuzzy
+msgid "delete"
+msgstr "Suprimir"
+
 msgid "open"
 msgstr "abrir"
 
-msgid "Insert this file into entry"
-msgstr "Insertar este arquivo no post"
-
-#, fuzzy
-msgid "delete"
-msgstr "Suprimir"
-
 msgid "Not a valid file"
 msgstr "Arquivo inválido"
@@ -1603,10 +1727,18 @@
 msgstr "Tem certeza de que você deseja suprimir esse comentário?"
 
+#, fuzzy
+msgid "Select media item"
+msgstr "Insertar uma mídia"
+
+msgid "Image size:"
+msgstr "Tamanho da imagem:"
+
+#, fuzzy
+msgid "Select"
+msgstr "Selecionado:"
+
 msgid "Insert media item"
 msgstr "Insertar uma mídia"
 
-msgid "Image size:"
-msgstr "Tamanho da imagem:"
-
 msgid "Image alignment"
 msgstr "Alinhamento da imagem"
@@ -1661,4 +1793,22 @@
 msgstr "Tamanhos disponíveis:"
 
+#, fuzzy
+msgid "Thumbnail details"
+msgstr "Detalhes da imagem"
+
+#, fuzzy
+msgid "Image width:"
+msgstr "Tamanho da imagem:"
+
+#, fuzzy
+msgid "Image height:"
+msgstr "Alinhamento da imagem"
+
+msgid "File size:"
+msgstr "Tamanho do arquivo:"
+
+msgid "File URL:"
+msgstr "URL do arquivo:"
+
 msgid "File owner:"
 msgstr "Proprietário do arquivo:"
@@ -1666,10 +1816,4 @@
 msgid "File type:"
 msgstr "Tipo de arquivo:"
-
-msgid "File size:"
-msgstr "Tamanho do arquivo:"
-
-msgid "File URL:"
-msgstr "URL do arquivo:"
 
 msgid "Show entries containing this media"
@@ -2087,4 +2231,11 @@
 msgstr "não selecionado"
 
+msgid "Opened"
+msgstr ""
+
+#, fuzzy
+msgid "Closed"
+msgstr "fechar"
+
 #, fuzzy
 msgid "With attachments"
@@ -2096,4 +2247,12 @@
 
 #, fuzzy
+msgid "With password"
+msgstr "Senha do post:"
+
+#, fuzzy
+msgid "Without password"
+msgstr "sua senha"
+
+#, fuzzy
 msgid "Number of comments"
 msgstr "Número de posts"
@@ -2111,4 +2270,8 @@
 msgstr "As miniaturas foram atualizadas com sucesso."
 
+#, fuzzy
+msgid "Format:"
+msgstr "Formato das datas:"
+
 msgid "Selected:"
 msgstr "Selecionado:"
@@ -2125,4 +2288,12 @@
 
 #, fuzzy
+msgid "Comments:"
+msgstr "Comentários"
+
+#, fuzzy
+msgid "Trackbacks:"
+msgstr "Trackbacks"
+
+#, fuzzy
 msgid "entries per page"
 msgstr "Posts por página"
@@ -2131,4 +2302,7 @@
 msgstr "Ação sobre os posts selecionados:"
 
+msgid "Posts"
+msgstr ""
+
 msgid "If you want to change your email or password you must provide your current password."
 msgstr "Se você quer mudar o seu endereço de email o a sua senha, você tem de indicar a sua senha atual."
@@ -2218,8 +2392,17 @@
 msgstr ""
 
+msgid "Number of recent folders proposed in media manager:"
+msgstr ""
+
+msgid "Leave empty to ignore, displayed only if Javascript is enabled in your browser."
+msgstr ""
+
 msgid "Do not use standard favicon"
 msgstr ""
 
 msgid "This will be applied for all users"
+msgstr ""
+
+msgid "Optional columns displayed in lists"
 msgstr ""
 
@@ -2248,4 +2431,7 @@
 msgstr "Ativar o editor visual"
 
+msgid "Display editor's toolbar at bottom of textarea (if possible)"
+msgstr ""
+
 #, fuzzy
 msgid "Other options"
@@ -2308,4 +2494,8 @@
 msgstr "Painel"
 
+#, fuzzy
+msgid "Display dashboard icons"
+msgstr "Painel"
+
 msgid "Iconset:"
 msgstr ""
@@ -2584,7 +2774,17 @@
 msgstr "como indesejável"
 
+msgid "Blacklist IP"
+msgstr ""
+
+msgid "Blacklist IP (global)"
+msgstr ""
+
 #, fuzzy
 msgid "No comment selected"
 msgstr "Nenhum comentário"
+
+#, fuzzy
+msgid "IP addresses for selected comments have been blacklisted."
+msgstr "Post atualizado com sucesso."
 
 #, fuzzy
@@ -3031,7 +3231,4 @@
 msgstr "Plugins"
 
-msgid "Name"
-msgstr "Nome"
-
 msgid "Score"
 msgstr ""
@@ -3043,4 +3240,11 @@
 msgid "Current version"
 msgstr "definir as permissões"
+
+#, php-format
+msgid "This module cannot be disabled nor deleted, since the following modules are also enabled : %s"
+msgstr ""
+
+msgid "This module cannot be enabled, because of the following reasons :"
+msgstr ""
 
 msgid "Plugin from official distribution"
@@ -3301,23 +3505,51 @@
 msgstr "Nenhum post"
 
-#, php-format
-msgid "List of %s entries match the filter."
-msgstr ""
+#, fuzzy, php-format
+msgid "List of %s entries matching the filter."
+msgstr "Nenhum título de post"
+
+#, fuzzy, php-format
+msgid "List of entries (%s)"
+msgstr "Categorias"
+
+#, php-format
+msgid ", <a href=\"%s\">published</a> (1)"
+msgid_plural ", <a href=\"%s\">published</a> (%s)"
+msgstr[0] ""
+msgstr[1] ""
+
+#, php-format
+msgid ", <a href=\"%s\">pending</a> (1)"
+msgid_plural ", <a href=\"%s\">pending</a> (%s)"
+msgstr[0] ""
+msgstr[1] ""
+
+#, php-format
+msgid ", <a href=\"%s\">programmed</a> (1)"
+msgid_plural ", <a href=\"%s\">programmed</a> (%s)"
+msgstr[0] ""
+msgstr[1] ""
+
+#, php-format
+msgid ", <a href=\"%s\">unpublished</a> (1)"
+msgid_plural ", <a href=\"%s\">unpublished</a> (%s)"
+msgstr[0] ""
+msgstr[1] ""
+
+#, fuzzy
+msgid "Protected"
+msgstr "protegido"
+
+#, php-format
+msgid "%d attachment"
+msgstr "%d anexo"
+
+#, php-format
+msgid "%d attachments"
+msgstr "%d anexos"
 
 #, fuzzy
 msgid "Entries list"
 msgstr "Categorias"
-
-#, fuzzy
-msgid "Protected"
-msgstr "protegido"
-
-#, php-format
-msgid "%d attachment"
-msgstr "%d anexo"
-
-#, php-format
-msgid "%d attachments"
-msgstr "%d anexos"
 
 msgid "No comments or trackbacks matches the filter"
@@ -3330,4 +3562,14 @@
 msgstr[1] ""
 
+#, fuzzy, php-format
+msgid "List of comments and trackbacks (%s)"
+msgstr "Moderar os trackbacks"
+
+#, php-format
+msgid ", <a href=\"%s\">spam</a> (1)"
+msgid_plural ", <a href=\"%s\">spam</a> (%s)"
+msgstr[0] ""
+msgstr[1] ""
+
 msgid "Type"
 msgstr "Tipo"
@@ -3438,7 +3680,4 @@
 msgstr ""
 
-msgid "Posts"
-msgstr ""
-
 #, fuzzy
 msgid "Pages"
@@ -3633,4 +3872,24 @@
 
 #, php-format
+msgid "Requires %s module which is not installed"
+msgstr ""
+
+#, php-format
+msgid "Requires Dotclear version %s, but version %s is installed"
+msgstr ""
+
+#, php-format
+msgid "Requires %s module version %s, but version %s is installed"
+msgstr ""
+
+#, php-format
+msgid "Requires %s module which is disabled"
+msgstr ""
+
+#, fuzzy
+msgid "The following extensions have been disabled :"
+msgstr "Os plugins seguintes foram instalados:"
+
+#, php-format
 msgid "Module \"%s\" has type \"%s\" that mismatch required module type \"%s\"."
 msgstr ""
@@ -3811,7 +4070,4 @@
 msgid "LOL!"
 msgstr ""
-
-msgid "SQLite Database Schema cannot be upgraded."
-msgstr "O esquema de banco de dados SQLite não pode ser atualizado."
 
 msgid "Something went wrong with auto upgrade:"
@@ -3977,4 +4233,7 @@
 msgstr ""
 
+#~ msgid "SQLite Database Schema cannot be upgraded."
+#~ msgstr "O esquema de banco de dados SQLite não pode ser atualizado."
+
 #~ msgid "more information"
 #~ msgstr "mais informações"
@@ -4055,8 +4314,4 @@
 #~ msgstr "Os plugins seguintes foram instalados:"
 
-#, fuzzy
-#~ msgid "Sort"
-#~ msgstr "Ordenar:"
-
 #~ msgid "New directory"
 #~ msgstr "Novo diretório"
@@ -4093,7 +4348,4 @@
 #~ msgstr "Publicado o dia:"
 
-#~ msgid "Entry password:"
-#~ msgstr "Senha do post:"
-
 #~ msgid "junk"
 #~ msgstr "indesejável"
@@ -4275,7 +4527,4 @@
 #~ msgstr "login"
 
-#~ msgid "filter"
-#~ msgstr "filtro"
-
 #~ msgid "The file <strong>%s</strong> already exists. If you need to reset any of the configuration items in this file, please delete it first or you may <a href=\"%s\">continue to install</a>."
 #~ msgstr "O arquivo <strong>%s</strong> já existe. Para reinicializar a sua configuração, suprime primeiro este arquivo ou <a href=\"%s\">continue a instalação</a>."
Index: locales/pt-br/plugins.po
===================================================================
--- locales/pt-br/plugins.po	(revision 2807)
+++ locales/pt-br/plugins.po	(revision 3272)
@@ -3,17 +3,18 @@
 # FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
 #
-#, fuzzy
 msgid ""
 msgstr ""
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2014-11-20 19:49+0100\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
-"Language-Team: LANGUAGE <LL@li.org>\n"
-"Language: \n"
+"POT-Creation-Date: 2016-07-18 15:41+0200\n"
+"PO-Revision-Date: 2016-07-18 15:51+0200\n"
+"Language: pt_BR\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
+"Language-Team: \n"
+"X-Generator: Poedit 1.8.8\n"
 
 msgid "Manage every blog configuration directive"
@@ -35,4 +36,7 @@
 msgstr ""
 
+msgid "Breadcrumb for Dotclear"
+msgstr ""
+
 msgid "Legacy modules for dotclear"
 msgstr ""
@@ -132,4 +136,7 @@
 msgstr ""
 
+msgid "Setting ID"
+msgstr ""
+
 msgid "Value"
 msgstr ""
@@ -558,7 +565,4 @@
 msgstr ""
 
-msgid "URL"
-msgstr ""
-
 msgid "Lang"
 msgstr ""
@@ -823,4 +827,32 @@
 msgstr ""
 
+msgid "Breadcrumb"
+msgstr ""
+
+msgid "Enable breadcrumb for this blog"
+msgstr ""
+
+msgid "The {{tpl:Breadcrumb [separator=\" &amp;rsaquo; \"]}} tag should be present (or inserted if not) in the template."
+msgstr ""
+
+msgid "Do not encapsulate breadcrumb in a &lt;p id=\"breadcrumb\"&gt;...&lt;/p&gt; tag."
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+#, php-format
+msgid "page %d"
+msgstr ""
+
+msgid "Archives"
+msgstr ""
+
+msgid "All tags"
+msgstr ""
+
+msgid "404"
+msgstr ""
+
 msgid "The configuration has been updated."
 msgstr ""
@@ -835,4 +867,10 @@
 msgstr ""
 
+msgid "External image"
+msgstr ""
+
+msgid "URL field cannot be empty."
+msgstr ""
+
 msgid "visual"
 msgstr ""
@@ -910,7 +948,4 @@
 msgstr ""
 
-msgid "External image"
-msgstr ""
-
 msgid "Remove text formating"
 msgstr ""
@@ -963,7 +998,4 @@
 
 msgid "Why don't you blog this now?"
-msgstr ""
-
-msgid "or"
 msgstr ""
 
@@ -1570,13 +1602,22 @@
 msgstr ""
 
+msgid "Item description"
+msgstr ""
+
+msgid "Displayed in link"
+msgstr ""
+
+msgid "Used as link title"
+msgstr ""
+
+msgid "Displayed in link and used as title"
+msgstr ""
+
+msgid "Not displayed nor used"
+msgstr ""
+
 msgid "All months"
 msgstr ""
 
-msgid "All tags"
-msgstr ""
-
-msgid "Home"
-msgstr ""
-
 msgid "Archive"
 msgstr ""
@@ -1607,7 +1648,4 @@
 msgstr ""
 
-msgid "Archives"
-msgstr ""
-
 #, php-format
 msgid "Posts from %s"
@@ -1709,4 +1747,25 @@
 
 msgid "No menu items so far."
+msgstr ""
+
+msgid "This tag's comments Atom feed"
+msgstr ""
+
+msgid "This tag's entries Atom feed"
+msgstr ""
+
+msgid "Tag"
+msgstr ""
+
+msgid "Limit (empty means no limit):"
+msgstr ""
+
+msgid "Entries count"
+msgstr ""
+
+msgid "Tag name"
+msgstr ""
+
+msgid "Link to all tags:"
 msgstr ""
 
@@ -1766,7 +1825,4 @@
 msgstr ""
 
-msgid "Tag"
-msgstr ""
-
 msgid "Short"
 msgstr ""
@@ -1778,22 +1834,4 @@
 msgstr ""
 
-msgid "This tag's comments Atom feed"
-msgstr ""
-
-msgid "This tag's entries Atom feed"
-msgstr ""
-
-msgid "Limit (empty means no limit):"
-msgstr ""
-
-msgid "Entries count"
-msgstr ""
-
-msgid "Tag name"
-msgstr ""
-
-msgid "Link to all tags:"
-msgstr ""
-
 msgid "Tag has been successfully renamed"
 msgstr ""
@@ -1825,7 +1863,13 @@
 msgstr ""
 
+msgid "Syntax highlighting"
+msgstr ""
+
 msgid "Syntax highlighting in theme editor"
 msgstr ""
 
+msgid "Theme:"
+msgstr ""
+
 msgid "No file"
 msgstr ""
@@ -1923,4 +1967,7 @@
 msgstr ""
 
+msgid "Placeholder (HTML5 only, optional):"
+msgstr ""
+
 msgid "Navigation links"
 msgstr ""
Index: locales/pt-br/public.po
===================================================================
--- locales/pt-br/public.po	(revision 2832)
+++ locales/pt-br/public.po	(revision 3272)
@@ -7,14 +7,13 @@
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2008-10-13 05:22+0200\n"
-"PO-Revision-Date: 2008-06-15 12:34-0300\n"
-"Last-Translator: Alain Fagot Béarez <Alain@Timbo-Bearez.biz>\n"
+"PO-Revision-Date: 2016-07-18 15:51+0200\n"
+"Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
 "Language-Team: \n"
-"Language: \n"
+"Language: pt_BR\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Poedit-Language: Portuguese\n"
-"X-Poedit-Country: BRAZIL\n"
 "X-Poedit-SourceCharset: utf-8\n"
+"X-Generator: Poedit 1.8.8\n"
 
 msgid "To content"