Index: admin/blog.php
===================================================================
--- admin/blog.php	(revision 1399)
+++ admin/blog.php	(revision 1474)
@@ -79,5 +79,5 @@
 	'<form action="blog.php" method="post" id="blog-form">'.
 	
-	$core->formNonce().
+	'<div>'$core->formNonce().'</div>'.
 	'<p><label class="required" for="blog_id"><abbr title="'.__('Required field').'">*</abbr> '.__('Blog ID:').'</label> '.
 	form::field('blog_id',30,32,html::escapeHTML($blog_id)).'</p>'.
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 1399)
+++ admin/blog_pref.php	(revision 1474)
@@ -504,5 +504,5 @@
 		(html::escapeHTML($blog_settings->system->media_img_default_size) != '' ? html::escapeHTML($blog_settings->system->media_img_default_size) : 'm')).
 	'</p>'.
-	'<p><label for="media_img_default_alignment">'.__('Image alignment').'</label>'.
+	'<p><label for="media_img_default_alignment">'.__('Image alignment:').'</label>'.
 	form::combo('media_img_default_alignment',$img_default_alignment_combo,html::escapeHTML($blog_settings->system->media_img_default_alignment)).
 	'</p>'.
@@ -548,7 +548,7 @@
 	} else {
 		if ($blog_id == $core->blog->id) {
-			echo '<p class="message">'.__('The current blog cannot be deleted').'</p>';
+			echo '<p class="message">'.__('The current blog cannot be deleted.').'</p>';
 		} else {
-			echo '<p class="message">'.__('Only superadmin can delete a blog').'</p>';
+			echo '<p class="message">'.__('Only superadmin can delete a blog.').'</p>';
 		}
 	}
Index: admin/comments.php
===================================================================
--- admin/comments.php	(revision 1424)
+++ admin/comments.php	(revision 1474)
@@ -134,8 +134,8 @@
 if ($core->auth->check('publish,contentadmin',$core->blog->id))
 {
-	$combo_action[__('publish')] = 'publish';
-	$combo_action[__('unpublish')] = 'unpublish';
-	$combo_action[__('mark as pending')] = 'pending';
-	$combo_action[__('mark as junk')] = 'junk';
+	$combo_action[__('Publish')] = 'publish';
+	$combo_action[__('Unpublish')] = 'unpublish';
+	$combo_action[__('Mark as pending')] = 'pending';
+	$combo_action[__('Mark as junk')] = 'junk';
 }
 if ($core->auth->check('delete,contentadmin',$core->blog->id))
Index: admin/comments_actions.php
===================================================================
--- admin/comments_actions.php	(revision 1179)
+++ admin/comments_actions.php	(revision 1474)
@@ -137,5 +137,5 @@
 $core->callBehavior('adminCommentsActionsContent',$core,$action,$hidden_fields);
 
-echo '<p><a class="back" href="'.str_replace('&','&amp;',$redir).'">'.__('back').'</a></p>';
+echo '<p><a class="back" href="'.str_replace('&','&amp;',$redir).'">'.__('Back to comments list').'</a></p>';
 
 dcPage::close();
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 1399)
+++ admin/plugins.php	(revision 1474)
@@ -236,8 +236,8 @@
 
 if ($is_writable) {
-	echo __('To install or upgrade a plugin you generally just need to upload it '.
+	echo '<p>'.__('To install or upgrade a plugin you generally just need to upload it '.
 	'in "Install or upgrade a plugin" section.');
 } else {
-	echo __('To install or upgrade a plugin you just need to extract it in your plugins directory.');
+	echo '<p>'.__('To install or upgrade a plugin you just need to extract it in your plugins directory.');
 }
 echo '</p>';
Index: admin/posts.php
===================================================================
--- admin/posts.php	(revision 1426)
+++ admin/posts.php	(revision 1474)
@@ -282,5 +282,5 @@
 	'<p><label for="month" class="ib">'.__('Month:').'</label> '.
 	form::combo('month',$dt_m_combo,$month).'</p>'.
-	'<label for="lang" class="ib">'.__('Lang:').'</label> '.
+	'<p><label for="lang" class="ib">'.__('Lang:').'</label> '.
 	form::combo('lang',$lang_combo,$lang).'</p> '.
 	'</div>'.
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 1468)
+++ admin/preferences.php	(revision 1474)
@@ -424,5 +424,4 @@
 '</div>'.
 '</div>'.
-'<br class="clear" />'. //Opera sucks
 '</fieldset>';
 
@@ -442,5 +441,5 @@
 	'</div>'.
 	
-	'<p><label for="new_pwd_c">'.__('Confirm password:').'</label>'.
+	'<p><label for="new_pwd_c">'.__('Confirm new password:').'</label>'.
 	form::password('new_pwd_c',20,255).'</p>'.
 	'</fieldset>'.
@@ -500,9 +499,9 @@
 	form::checkbox('user_ui_hide_std_favicon',1,$user_ui_hide_std_favicon).' '.
 	__('Do not use standard favicon').'</label></p>'.
-	'<p class="clear form-note info">'.__('This will be applied for all users').'</p>';
+	'<p class="clear form-note info">'.__('This will be applied for all users').
+	'<br class="clear" /></p>';//Opera sucks;
 }
 
 echo 
-'<br class="clear" />'. //Opera sucks
 '</fieldset>';
 
@@ -530,7 +529,7 @@
 '<p><label for="user_dm_quickentry" class="classic">'.
 form::checkbox('user_dm_quickentry',1,$user_dm_quickentry).' '.
-__('Display quick entry form').'</label></p>'.
-
-'<br class="clear" />'. //Opera sucks
+__('Display quick entry form').'</label><br class="clear" />'. //Opera sucks
+'</p>'.
+
 '</fieldset>';
 
Index: admin/update.php
===================================================================
--- admin/update.php	(revision 1469)
+++ admin/update.php	(revision 1474)
@@ -200,5 +200,5 @@
 		echo
 			'<p class="static-msg">'.sprintf(__('Dotclear %s is available.'),$new_v).
-				($version_info ? ' <a href="'.$version_info.'">('.__('information about this version').')</a>' : '').
+				($version_info ? ' <a href="'.$version_info.'">('.__('Information about this version').')</a>' : '').
 				'</p>'.
 		
@@ -246,5 +246,5 @@
 	'<p class="message">'.
 	__("Congratulations, you're one click away from the end of the update.").
-	' <strong><a href="index.php?logout=1">'.__('Finish the update.').'</a></strong>'.
+	' <strong><a href="index.php?logout=1">'.__('Finish the update').'</a>.</strong>'.
 	'</p>';
 }
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 1399)
+++ admin/user.php	(revision 1474)
@@ -226,7 +226,7 @@
 '<p><label for="user_firstname">'.__('First Name:').'</label> '.
 form::field('user_firstname',20,255,html::escapeHTML($user_firstname)).
-'</label></p>'.
-
-'<p><label for="user_displayname">'.__('Display name:').' '.
+'</p>'.
+
+'<p><label for="user_displayname">'.__('Display name:').'</label> '.
 form::field('user_displayname',20,255,html::escapeHTML($user_displayname)).
 '</p>'.
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 1426)
+++ admin/users.php	(revision 1474)
@@ -39,5 +39,5 @@
 
 
-# Get users
+#?Get users
 $page = !empty($_GET['page']) ? $_GET['page'] : 1;
 $nb_per_page =  30;
@@ -134,5 +134,5 @@
 	form::combo('order',$order_combo,$order).'</p>'.
 	'<p><span class="label ib">'.__('Show').'</span> <label for="nb" class="classic">'.	
-	form::field('nb',3,3,$nb_per_page).' '.__('users per page').'</p> '.
+	form::field('nb',3,3,$nb_per_page).' '.__('users per page').'</label></p> '.
 	'</div>'.
 	'</div>'.
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 1470)
+++ locales/fr/main.po	(revision 1474)
@@ -1123,5 +1123,5 @@
 #, php-format
 msgid "You can change your user language in your <a href=\"%1$s\">preferences</a> or change your blog's main language in your <a href=\"%2$s\">blog settings</a>."
-msgstr "Vous pouvez changer votre langue d'utilisateur dans vos <a href=\"%1$s\">préférences</a> ou changer la langue principale de votre blog dans vos <a href=\"%2$s\">paramètres de blog</a>."
+msgstr "Vous pouvez changer votre langue d'utilisateur dans vos <a href=\"%1$s\">préférences</a> ou changer la langue principale de votre blog dans vos <a href=\"%2$s\">paramètres du blog</a>."
 
 msgid "Installed languages"
@@ -1790,5 +1790,5 @@
 
 msgid "If you want to change your email or password you must provide your current password."
-msgstr "Si vous voulez changer votre adresse email ou votre mot de passe, vous devez indiquer votre mot de passe."
+msgstr "Si vous voulez changer votre adresse email ou votre mot de passe, vous devez indiquer votre mot de passe actuel."
 
 msgid "No favorite selected"
@@ -1826,5 +1826,5 @@
 
 msgid "If you have changed this user email or password you must provide your current password to save these modifications."
-msgstr "Si vous voulez changer votre adresse email ou votre mot de passe, vous devez indiquer votre mot de passe."
+msgstr "Si vous voulez changer votre adresse email ou votre mot de passe, vous devez indiquer votre mot de passe actuel pour enregistrer ces modifications."
 
 msgid "My options"
@@ -3102,2 +3102,29 @@
 msgid "very strong"
 msgstr "très fort"
+
+msgid "Confirm new password:"
+msgstr "Confirmez le nouveau mot de passe :"
+
+msgid "Not selected"
+msgstr "Non sélectionné"
+
+msgid "Back to comments list"
+msgstr "Retour à la liste des commentaires"
+
+msgid "The current blog cannot be deleted."
+msgstr "Le blog courant ne peut être détruit."
+
+msgid "Only superadmin can delete a blog."
+msgstr "Seul un superadministrateur peut supprimer un blog."
+
+msgid "Invalid publication date"
+msgstr "Date de publication invalide."
+
+msgid "Image alignment:"
+msgstr "Alignement de l'image :"
+
+msgid "Finish the update"
+msgstr "Finir la mise à jour"
+
+msgid "Information about this version"
+psgstr "Informations sur cette version"
Index: locales/fr/plugins.po
===================================================================
--- locales/fr/plugins.po	(revision 1468)
+++ locales/fr/plugins.po	(revision 1474)
@@ -42,5 +42,5 @@
 
 msgid "blog settings"
-msgstr "Réglages du blog"
+msgstr "paramètres du blog"
 
 msgid "Value"
@@ -305,5 +305,5 @@
 
 msgid "No attachment."
-msgstr "Pas de fichier attaché"
+msgstr "Pas de fichier attaché."
 
 msgid "Add files to this entry"
@@ -1934,2 +1934,5 @@
 msgid "Edit theme files"
 msgstr "Modifier les fichiers du thème"
+
+msgid "Blog settings"
+msgstr "Paramètres du blog"
Index: plugins/aboutConfig/index.php
===================================================================
--- plugins/aboutConfig/index.php	(revision 1358)
+++ plugins/aboutConfig/index.php	(revision 1474)
@@ -86,5 +86,5 @@
 	return
 	'<tr class="line">'.
-	'<td scope="raw"><label for="s_'.$id.'">'.sprintf($slabel,html::escapeHTML($id)).'</label></td>'.
+	'<td scope="row"><label for="s_'.$id.'">'.sprintf($slabel,html::escapeHTML($id)).'</label></td>'.
 	'<td>'.$field.'</td>'.
 	'<td>'.$s['type'].'</td>'.
Index: plugins/antispam/_admin.php
===================================================================
--- plugins/antispam/_admin.php	(revision 1207)
+++ plugins/antispam/_admin.php	(revision 1474)
@@ -59,5 +59,5 @@
 		if ($ttl != null && $ttl >=0) {
 			echo '<p>'.sprintf(__('All spam comments older than %s day(s) will be automatically deleted.'), $ttl).' '.
-			sprintf(__('You can modify this duration in the %s'),'<a href="blog_pref.php#antispam_moderation_ttl"> '.__('Blog preferences').'</a>').
+			sprintf(__('You can modify this duration in the %s'),'<a href="blog_pref.php#antispam_moderation_ttl"> '.__('Blog settings').'</a>').
 			'</p>';
 		}
Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 1423)
+++ plugins/antispam/index.php	(revision 1474)
@@ -170,5 +170,5 @@
 	if ($moderationTTL != null && $moderationTTL >=0) {
 		echo '<p>'.sprintf(__('All spam comments older than %s day(s) will be automatically deleted.'), $moderationTTL).' '.
-		sprintf(__('You can modify this duration in the %s'),'<a href="blog_pref.php#antispam_moderation_ttl"> '.__('Blog preferences').'</a>').
+		sprintf(__('You can modify this duration in the %s'),'<a href="blog_pref.php#antispam_moderation_ttl"> '.__('Blog settings').'</a>').
 			'</p>';
 	}
@@ -212,5 +212,5 @@
 		'<td class="nowrap">'.form::checkbox(array('filters_active[]'),$fid,$f->active, '', '', false, 'title="'.__('Active').'"').'</td>'.
 		'<td class="nowrap">'.form::checkbox(array('filters_auto_del[]'),$fid,$f->auto_delete, '', '', false, 'title="'.__('Auto Del.').'"').'</td>'.
-		'<td class="nowrap" scope="raw">'.$f->name.'</td>'.
+		'<td class="nowrap" scope="row">'.$f->name.'</td>'.
 		'<td class="maximal">'.$f->description.'</td>'.
 		'<td class="status">'.$gui_link.'</td>'.
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 1454)
+++ plugins/pages/page.php	(revision 1474)
@@ -455,12 +455,12 @@
 	
 	echo
-	'<p><label for="post_status">'.__('Page status:').'</label> '.
+	'<p><label for="post_status" class="ib">'.__('Page status:').'</label> '.
 	form::combo('post_status',$status_combo,$post_status,'','',!$can_publish).
 	'</p>'.
 	
-	'<p><label for="post_dt">'.__('Published on:').'</label>'.
+	'<p><label for="post_dt" class="ib">'.__('Published on:').'</label>'.
 	form::field('post_dt',16,16,$post_dt,($bad_dt ? 'invalid' : '')).'</p>'.
 	
-	'<p><label for="post_format">'.__('Text formating:').'</label>'.
+	'<p><label for="post_format" class="ib">'.__('Text formating:').'</label>'.
 	form::combo('post_format',$formaters_combo,$post_format).
 	($post_id && $post_format != 'xhtml' ? '<a class="button" href="'.html::escapeURL($redir_url).'&amp;id='.$post_id.'&amp;xconv=1">'.__('Convert to XHTML').'</a>' : '').
@@ -493,13 +493,13 @@
 	'</p>'.
 	
-	'<p><label for="post_lang">'.__('Page lang:').'</label>'.
+	'<p><label for="post_lang" class="ib">'.__('Page lang:').'</label>'.
 	form::combo('post_lang',$lang_combo,$post_lang).'</p>'.
 	
-	'<p><label for="post_password">'.__('Page password:').'</label>'.
+	'<p><label for="post_password" class="ib">'.__('Page password:').'</label>'.
 	form::field('post_password',10,32,html::escapeHTML($post_password),'maximal').
 	'</p>'.
 	
-	'<div class="lockable">'.
-	'<p><label for="post_url">'.__('Basename:').'</label>'.
+	'<div class="lockable" class="ib">'.
+	'<p><label for="post_url" class="ib">'.__('Basename:').'</label>'.
 	form::field('post_url',10,255,html::escapeHTML($post_url),'maximal').
 	'</p>'.
@@ -512,5 +512,5 @@
 	{
 		echo
-		'<h3 class="clear">'.__('Attachments').'</h3>';
+		'<h4 class="clear">'.__('Attachments').'</h4>';
 		foreach ($post_media as $f)
 		{
@@ -541,5 +541,5 @@
 		
 		if (empty($post_media)) {
-			echo '<p>'.__('No attachment.').'</p>';
+			echo '<p class="form-note">'.__('No attachment.').'</p>';
 		}
 		echo '<p><a class="button" href="media.php?post_id='.$post_id.'">'.__('Add files to this page').'</a></p>';
Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 1358)
+++ plugins/simpleMenu/index.php	(revision 1474)
@@ -233,5 +233,5 @@
 				
 					// All done successfully, return to menu items list
-					http::redirect($p_url.'&added=1');
+					http::redirect($p_url.'&amp;added=1');
 				} else {
 					throw new Exception(__('Label and URL of menu item are mandatory.'));
@@ -268,5 +268,5 @@
 				
 				// All done successfully, return to menu items list
-				http::redirect($p_url.'&removed=1');
+				http::redirect($p_url.'&amp;removed=1');
 			} else {
 				throw new Exception(__('No menu items selected.'));
@@ -302,5 +302,5 @@
 
 			// All done successfully, return to menu items list
-			http::redirect($p_url.'&updated=1');
+			http::redirect($p_url.'&amp;updated=1');
 		}
 		catch (Exception $e) {
@@ -339,5 +339,5 @@
 
 			// All done successfully, return to menu items list
-			http::redirect($p_url.'&neworder=1');
+			http::redirect($p_url.'&amp;neworder=1');
 		} 
 		catch (Exception $e) {
@@ -402,5 +402,5 @@
 		case 1:
 			// Selection du type d'item
-			echo '<form id="additem" action="'.$p_url.'&add=2" method="post">';
+			echo '<form id="additem" action="'.$p_url.'&amp;add=2" method="post">';
 			echo '<fieldset><legend>'.__('Select type').'</legend>';
 			echo '<p class="field"><label for="item_type" class="classic">'.__('Type of item menu:').'</label>'.form::combo('item_type',$items_combo,'').'</p>';
@@ -412,5 +412,5 @@
 			if ($items[$item_type][1]) {
 				// Choix à faire
-				echo '<form id="additem" action="'.$p_url.'&add=3" method="post">';
+				echo '<form id="additem" action="'.$p_url.'&amp;add=3" method="post">';
 				echo '<fieldset><legend>'.$item_type_label.'</legend>';
 				switch ($item_type) {
@@ -449,5 +449,5 @@
 		case 3:
 			// Libellé et description
-			echo '<form id="additem" action="'.$p_url.'&add=4" method="post">';
+			echo '<form id="additem" action="'.$p_url.'&amp;add=4" method="post">';
 			echo '<fieldset><legend>'.$item_type_label.($item_select_label != '' ? ' ('.$item_select_label.')' : '').'</legend>';
 			echo '<p class="field"><label for="item_label" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.
@@ -467,5 +467,5 @@
 // Liste des items
 if (!$step) {
-	echo '<form id="menuitemsappend" action="'.$p_url.'&add=1" method="post">';
+	echo '<form id="menuitemsappend" action="'.$p_url.'&amp;add=1" method="post">';
 	echo '<p class="top-add">'.$core->formNonce().'<input class="button add" type="submit" name="appendaction" value="'.__('Add an item').'" /></p>';
 	echo '</form>';
Index: plugins/userPref/index.php
===================================================================
--- plugins/userPref/index.php	(revision 1358)
+++ plugins/userPref/index.php	(revision 1474)
@@ -82,5 +82,5 @@
 	return
 	'<tr class="line">'.
-	'<td scope="raw"><label for="s_'.$id.'">'.sprintf($slabel,html::escapeHTML($id)).'</label></td>'.
+	'<td scope="row"><label for="s_'.$id.'">'.sprintf($slabel,html::escapeHTML($id)).'</label></td>'.
 	'<td>'.$field.'</td>'.
 	'<td>'.$s['type'].'</td>'.
Index: plugins/widgets/class.widgets.php
===================================================================
--- plugins/widgets/class.widgets.php	(revision 1454)
+++ plugins/widgets/class.widgets.php	(revision 1474)
@@ -246,5 +246,5 @@
 					'<p><label for="'.$wfid.'">'.$s['title'].'</label> '.
 					form::textarea(array($iname,$wfid),30,5,html::escapeHTML($s['value']),'maximal').
-					'</label></p>';
+					'</p>';
 					break;
 				case 'check':