Index: inc/admin/actions/class.dcaction.php
===================================================================
--- inc/admin/actions/class.dcaction.php	(revision 2243)
+++ inc/admin/actions/class.dcaction.php	(revision 2493)
@@ -43,20 +43,20 @@
 	/** @var string form field name for "entries" (usually "entries") */
 	protected $field_entries;
-	
+
 	/** @var string title for checkboxes list, if displayed */
 	protected $cb_title;
-	
+
 	/** @var string title for caller page title */
 	protected $caller_title;
 
 	/** @var boolean true if we are acting inside a plugin (different handling of begin/endpage) */
-	protected $in_plugin;	
-	
+	protected $in_plugin;
+
 	/** @var boolean true if we enable to keep selection when redirecting */
-	protected $enable_redir_selection;	
+	protected $enable_redir_selection;
 
     /**
      * Class constructor
-     * 
+     *
      * @param mixed  $core   dotclear core
      * @param mixed  $uri   form uri
@@ -89,5 +89,5 @@
 		$this->enable_redir_selection = true;
 	}
-	
+
     /**
      * setEnableRedirSelection - define whether to keep selection when redirecting
@@ -101,5 +101,5 @@
 		$this->enable_redir_selection = $enable;
 	}
-	
+
     /**
      * addAction - adds an action
@@ -138,5 +138,5 @@
 		return $this;
 	}
-	
+
     /**
      * getCombo - returns the actions combo, useable through form::combo
@@ -149,6 +149,6 @@
 		return $this->combo;
 	}
-	
-	
+
+
     /**
      * getIDS() - returns the list of selected entries
@@ -161,5 +161,5 @@
 		return array_keys($this->entries);
 	}
-	
+
     /**
      * getIDS() - returns the list of selected entries as HTML hidden fields string
@@ -176,5 +176,5 @@
 		return $ret;
 	}
-	
+
     /**
      * getHiddenFields() - returns all redirection parameters as HTML hidden fields
@@ -185,5 +185,5 @@
 	 *
      * @return string the HTML code for hidden fields
-     */	
+     */
 	public function getHiddenFields($with_ids = false) {
 		$ret = '';
@@ -196,6 +196,6 @@
 		return $ret;
 	}
-	
-	
+
+
 	/**
      * getRS() - get record from DB Query containing requested IDs
@@ -210,5 +210,5 @@
 		return $this->rs;
 	}
-	
+
 	/**
      * setupRedir - setup redirection arguments
@@ -233,5 +233,5 @@
      *
      * @param array $params extra parameters to append to redirection
-	 *						must be an array : each key is the name, 
+	 *						must be an array : each key is the name,
 	 *						each value is the wanted value
      * @param boolean $with_selected_entries if true, add selected entries in url
@@ -246,5 +246,5 @@
 			unset($redir_args['redir']);
 		}
-		
+
 		if ($with_selected_entries && $this->enable_redir_selection) {
 			$redir_args[$this->field_entries] = array_keys($this->entries);
@@ -252,5 +252,5 @@
 		return $this->uri.'?'.http_build_query($redir_args).$this->redir_anchor;
 	}
-	
+
 	/**
      * redirect - redirects to redirection page
@@ -263,6 +263,6 @@
 		http::redirect($this->getRedirection($with_selected_entries,$params));
 		exit;
-	}	
-	
+	}
+
 	/**
      * getURI - returns current form URI, if any
@@ -286,5 +286,5 @@
 		return $this->caller_title;
 	}
-	
+
 	/**
      * getAction - returns current action, if any
@@ -309,5 +309,5 @@
 
 		$this->setupRedir($this->from);
-		$this->fetchEntries($this->from);	
+		$this->fetchEntries($this->from);
 		if (isset($this->from['action'])) {
 			$this->action = $this->from['action'];
@@ -339,11 +339,11 @@
      */
 	public function getCheckboxes() {
-		$ret = 
+		$ret =
 			'<table class="posts-list"><tr>'.
 			'<th colspan="2">'.$this->cb_title.'</th>'.
 			'</tr>';
 		foreach ($this->entries as $id=>$title) {
-			$ret .= 
-				'<tr><td>'.
+			$ret .=
+				'<tr><td class="minimal">'.
 				form::checkbox(array($this->field_entries.'[]'),$id,true,'','').'</td>'.
 				'<td>'.	$title.'</td></tr>';
@@ -352,5 +352,5 @@
 		return $ret;
 	}
-	
+
 	/**
      * beginPage, endPage - displays the beginning/ending of a page, if action does not redirects dirtectly
Index: inc/admin/actions/class.dcactioncomments.php
===================================================================
--- inc/admin/actions/class.dcactioncomments.php	(revision 2256)
+++ inc/admin/actions/class.dcactioncomments.php	(revision 2493)
@@ -29,5 +29,5 @@
 		dcDefaultCommentActions::adminCommentsActionsPage($this->core,$this);
 	}
-	
+
 	public function beginPage($breadcrumb='',$head='') {
 		if ($this->in_plugin) {
@@ -43,10 +43,10 @@
 				$head,
 				$breadcrumb
-			);	
+			);
 
 		}
 		echo '<p><a class="back" href="'.$this->getRedirection(true).'">'.__('Back to comments list').'</a></p>';
 	}
-	
+
 	public function endPage() {
 		dcPage::close();
@@ -64,5 +64,5 @@
 		$this->endPage();
 	}
-	
+
 	/**
      * getcheckboxes -returns html code for selected entries
@@ -74,11 +74,11 @@
      */
 	public function getCheckboxes() {
-		$ret = 
+		$ret =
 			'<table class="posts-list"><tr>'.
 			'<th colspan="2">'.__('Author').'</th><th>'.__('Title').'</th>'.
 			'</tr>';
 		foreach ($this->entries as $id=>$title) {
-			$ret .= 
-				'<tr><td>'.
+			$ret .=
+				'<tr><td class="minimal">'.
 				form::checkbox(array($this->field_entries.'[]'),$id,true,'','').'</td>'.
 				'<td>'.	$title['author'].'</td><td>'.$title['title'].'</td></tr>';
@@ -91,15 +91,15 @@
 		if (!empty($from['comments'])) {
 			$comments = $from['comments'];
-			
+
 			foreach ($comments as $k => $v) {
 				$comments[$k] = (integer) $v;
 			}
-			
+
 			$params['sql'] = 'AND C.comment_id IN('.implode(',',$comments).') ';
-			
+
 			if (!isset($from['full_content']) || empty($from['full_content'])) {
 				$params['no_content'] = true;
 			}
-			
+
 			$co = $this->core->blog->getComments($params);
 			while ($co->fetch())	{
@@ -116,5 +116,5 @@
 }
 
-class dcDefaultCommentActions 
+class dcDefaultCommentActions
 {
 	public static function adminCommentsActionsPage($core, dcCommentsActionsPage $ap) {
@@ -127,5 +127,5 @@
 			$ap->addAction(array(__('Mark as junk') => 'junk'), $action);
 		}
-	
+
 		if ($core->auth->check('delete,contentadmin',$core->blog->id))
 		{
@@ -147,5 +147,5 @@
 			default : $status = 1; break;
 		}
-		
+
 		$core->blog->updCommentsStatus($co_ids,$status);
 
@@ -163,10 +163,10 @@
 		{
 			# --BEHAVIOR-- adminBeforeCommentDelete
-			$core->callBehavior('adminBeforeCommentDelete',$comment_id);				
+			$core->callBehavior('adminBeforeCommentDelete',$comment_id);
 		}
-		
+
 		# --BEHAVIOR-- adminBeforeCommentsDelete
 		$core->callBehavior('adminBeforeCommentsDelete',$co_ids);
-		
+
 		$core->blog->delComments($co_ids);
 		dcPage::addSuccessNotice(__('Selected comments have been successfully deleted.'));